PDA

View Full Version : dselect attempting to removing tons of packages!!



lgalea
02-22-2003, 12:50 PM
Hello all,
I am loving knoppix on my hd.. but when I run dselect it tries to removing a whole bunch of important packages!! How can I get dselect to stop doing this?

Thanks

softedges
02-23-2003, 04:48 AM
I went through it, too. You are not alone. It depends on whether you want to upgrade to KDE 3.1 how you go about this.

1. Make sure you run apt-get update, and try to reduce the number of entries. I simply cut out "unstable" and most "sources" lines.

2. Make a list of what dselect wants to remove. It's mostly going to be KDE, because apparently the version we got with the CD is not truly compatible with the rest of the system. It works, but it seems to have wrong package info or something. It's not as incompatible as it looks, but the system doesn't know that. It's been "lied to" by the packages Knopper chose.

3. If you want KDE 3.1, remove everything related to KDE and get it clean. Then get the packages for Woody at download.kde.org. If you don't get all the old ones, you'll have a tough time. You'll have to download some packages for 3.1 and install with dpkg to get the system introduced to it.

If you aren't ready to do that, you'll just have to ignore those warnings. They are only partially accurate.

4. See if you can't hunt down the other packages causing confilicts, and upgrade, replace, or whatever seems best. Then run apt-get dist-upgrade. It will take forever over a dialup, but you can stop it anytime with CRTL-C and restart where you left off.

lgalea
02-23-2003, 01:52 PM
Thanks for the help!

I am curious about that last option.. I am definately not over dial-up, so that isn't an issue..

When you say track down all the modules.. you mean find everything that is conflicting and download and manually install.. then let apt handle the rest? or could I just apt-get dist-upgrade right now?

softedges
02-23-2003, 02:31 PM
Since this is my first run with Debian, I can't pretend to be a real guru; I'm just relating my experience based on my current understanding. What I do have is an inclination to share what I know, and maybe even some talent at it.

My list was supposed to be steps, not options. You could probably just run apt-get dist-upgrade like I did, but it seems to turn into more work that way. If you simply wipe KDE 3.0.4, it's easier. That is, if you have the proper mirror for the latest version of KDE in your sources list. You can get the line, properly formatted, from the KDE info page for release 3.1. Then, all you have to do is run apt-get update, then install libqt3, kdelibs4, etc. The packages are grouped under a single tiny package named for the group, for example: kdebase. This package has a dependency on all the packages in that group except for the development packages. You can get those later.

I'm running KDE 3.1 now, and it's really worth the hassle to me.

Keep asking questions; somebody is likely to at least try to answer.

znmeb
11-24-2003, 06:38 AM
I've been wrestling with "dselect" in Knoppix for a few weeks now. Qutie frankly, the problem is a real show-stopper for me, and I've more or less abandoned Knoppix. I'm trying to customize / remaster it to put some more network utilities and math packages on. "dselect" is the only reasonable interface for adding / removing packages once I've got the CD unpacked. But it's unusable because it wants to remove KDE.

Dr. Knopper ... if you're reading this forum, please fix this -- it's a bad thing.